Download it now!
Bug 65586 - Elements Dock window has no tooltips
Summary: Elements Dock window has no tooltips
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta2
Hardware: All All
: medium normal
Assignee: Marcos Souza
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks: 68871
  Show dependency treegraph
 
Reported: 2013-06-09 21:04 UTC by Regina Henschel
Modified: 2013-11-04 10:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2013-06-09 21:04:48 UTC
The new Elements Dock window has no tooltips, neither the simple ones nor the extended tips.
Comment 1 Jorendc 2013-06-09 22:08:13 UTC
I can confirm that. Tested using Linux Mint 15 x64 Version: 4.2.0.0.alpha0+ Build ID: 55ff402fa24bcf9478e7fde94f2ab57c2223b7f
Comment 2 Commit Notification 2013-09-19 13:04:18 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e06b6906745c16af92a5f3c40b01479f24dab22

fdo#65586: Add tooltips to Elements Dock in Math



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Marcos Souza 2013-09-19 13:07:01 UTC
I will try to put the correct tooltips this week. For now, tooltips are sames as the text of the element.

So, let's work with hrc/src files :)
Comment 4 Marcos Souza 2013-10-25 22:03:36 UTC
There is a way to add a help text inside a menu item like

MenuItem
{    
       Identifier = RID_PLUSX;
       HelpId = HID_SMA_PLUSX;
       Text = "+a";
};

?

If yes, this will help a lot to solve this bug.
Comment 5 Marcos Souza 2013-11-03 12:16:54 UTC
I send an patch to gerrit:

https://gerrit.libreoffice.org/#/c/6540/

Can someone please take a look?
Comment 6 Commit Notification 2013-11-03 16:27:01 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c83d876c2ae0bd88cb92e5829edd93641779ea23

fdo#65586: Add tools tips in Math Elements Dock



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Marcos Souza 2013-11-04 10:10:11 UTC
Can someone test this in daily builds?
Comment 8 Tomaz Vajngerl 2013-11-04 10:34:04 UTC
Works great in LO daily for Win7 (Build: 7c19dd02d9241e06ecfeeb9ba4ab2971cba7ef43). I'll check on Linux at the next opportunity.

Great job!